Balances

Current project balances per available asset.

GET/project/balances

System information

API key
Required
Rate limit
∞
curl "https://api.atomic.wallet/api/v1/project/balances" \
  -H "x-api-key: $API_KEY"
{
  "items": [
    {
      "coinCode": "USDT",
      "networkCode": "tron",
      "coinName": "Tether USD",
      "networkName": "TRON",
      "networkPrefix": "TRC-20",
      "decimals": 6,
      "image": "https://storage.example.com/coins/usdt.svg",
      "balanceAmount": "10.00000000",
      "availableAmount": "10.00000000",
      "confirmedAmount": "10.00000000",
      "pendingAmount": "0.00000000",
      "reservedAmount": "0.00000000"
    }
  ]
}

Response fields

ParameterTypeDescription
itemsarrayBalances by coin and network.
items[].coinCodestringCryptocurrency code.
items[].networkCodestringBlockchain network code.
items[].coinNamestringCryptocurrency name.
items[].networkNamestringNetwork name.
items[].networkPrefixstringToken standard in the network, for example TRC-20.
items[].decimalsintegerNumber of decimal places for amounts.
items[].imagestringCoin icon URL.
items[].balanceAmountstringTotal balance.
items[].availableAmountstringAmount available for withdrawal.
items[].confirmedAmountstringConfirmed balance.
items[].pendingAmountstringAmount awaiting confirmations.
items[].reservedAmountstringAmount reserved for withdrawals.
FieldDescription
coinCodeCryptocurrency code.
networkCodeBlockchain network code.
coinNameCryptocurrency name.
networkNameNetwork name.
networkPrefixNetwork label, for example TRC-20, ERC-20.
decimalsNumber of decimal places.
imageAsset icon.
balanceAmountTotal balance.
availableAmountAmount available for use.
confirmedAmountConfirmed amount.
pendingAmountAmount of pending operations.
reservedAmountReserved amount.

For debits, rely on availableAmount. If it is not enough for a withdrawal, the API returns WITHDRAWAL_BALANCE_INSUFFICIENT.